///////////////////////////////////////////////////////////////////////////////
//	
//								Nano OS	Version	1.0
//						Copyright 2009 xxxxxxx, xxxxxxx
//	File:	Nano_Sem.h
//	Author: Sandeep Budanur (sbudanu@ncsu.edu)
//	Description: Header file for the NanoOS Semaphore APIs
//	
///////////////////////////////////////////////////////////////////////////////

#ifndef _NANO_MUTEX_H
#define _NANO_MUTEX_H

#include "NanoOS.h"
#include "Nano_Queue.h"
#include "Nano_Sem.h"

typedef struct OS_Mutex
{
 OS_Sem binary_sem; 
}OS_Mutex;


OS_Error OS_MutexInit(OS_Mutex *mutex);
OS_Error OS_MutexLock(OS_Mutex *mutex);
OS_Error OS_MutexUnlock(OS_Mutex *mutex);
OS_Error OS_MutexDestroy(OS_Mutex *mutex);


#endif //_NANO_MUTEX_H
