
MEMORY 
{
	VECTORS		: origin = 0x00000000,  len = 0x000400
	SRAM		: origin = 0x00000400,  len = 0x02FC00	
}

SECTIONS
{
		/* For running from SRAM */
        .vectors > VECTORS
        .text    > SRAM
        .cinit   > SRAM, align(8)
        .const   > SRAM
		.bss     > SRAM, align(8)
		.sysinit > SRAM

		.far 
		/*
		:
        {
        	__far_begin = .;
			*(.far)
			__far_end = .;
		} */        > SRAM
		
        .cio     > SRAM
        .sysmem  > SRAM
        .heap    > SRAM		

		.int_stack:
		{
			. = align(8);
			*(.int_stack)
			_INTERRUPT_STACK = .;

		}   > SRAM

		/* IMPORTANT 
			.stack section should be the last section in the map file
			or else the rts6700.lib works incorrectly */
		.stack:
		{
			. = align(8);
			*(.stack)
			_SYSTEM_STACK = .;

		}   > SRAM
}
