///////////////////////////////////////////////////////////////////////////////
//	
//								Nano OS	Version	1.0
//						Copyright 2009 xxxxxxx, xxxxxxx
// File: Nano_Types.h
// Author: Balasubramanya bhat (bbhat@ncsu.edu)
// Description: Header file for the data types used in NanoOS
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _NANO_TYPES_H
#define _NANO_TYPES_H

//macro definitions
#define TRUE 1
#define FALSE 0

#define NULL 0
///////////////////////////////////////////////////////////////////////////////
// Redefine datatypes so that the OS can be ported easily on
// different platforms
///////////////////////////////////////////////////////////////////////////////

typedef unsigned char BOOL;
typedef unsigned char UINT8; // Unsigned 8 bit data
typedef char INT8; // Singned 8 bit data
typedef unsigned short UINT16; // Unsigned 16 bit data
typedef short INT16; // Signed 16 bit data
typedef unsigned int UINT32; // Unsigned 32 bit data
typedef int INT32; // Signed 32 bit data
typedef unsigned long long UINT64; // Unsigned 64 bit data
typedef long long INT64; // Signed 64 bit data
typedef float FP32; // 32 bit Floating point data
typedef double FP64; // 64 bit Floating point data


#endif // _NANO_TYPES_H
